# Taken from Titan, adopted for Yoga release
apiVersion: yaook.cloud/v1
kind: KeystoneDeployment
metadata:
  name: keystone
  namespace: yaook
spec:
  database:
    replicas: 3
    proxy:
      replicas: 3
    backup:
      mysqldump: false
      schedule: "0 * * * *"
    storageClassName: csi-driver-lvm-linear
    storageSize: 20Gi
    mysqlConfig:
      mysqld:
        max_allowed_packet: 256M
        max_connections: 4096
        max_heap_table_size: 64M
        expire_logs_days: 2
  memcached:
    memory: 1024
    connections: 2000
    replicas: 3
  api:
    ingress:
      fqdn: "{{ fqdn_keystone }}"
      port: 443
    # externalCertificateSecretRef:
    #  name: keystone-api-external-certificate
    replicas: 3
    wsgiProcesses: 32
  keyRotationSchedule: 0 0 * * *
  keystoneConfig:
    auth:
      methods:
      - password
      - token
      - application_credential
    token:
      expiration: 86400
    security_compliance:
      lockout_failure_attempts: 3
      lockout_duration: 600
      password_regex: '^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d\-\~\!\@\#\%\^\&\*\=\+_]{8,}$'
      password_regex_description: "Password must have at least 8 characters, with at least one letter and one number"
  policy:
    "admin_required": "role:admin or is_admin:1"
  region:
    name: {{ region_name }}
  issuerRef:
    name: ca-issuer
  targetRelease: {{ keystone_targetRelease }}
